## ppft 1.7.7+dfsg

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = ppft
SOURCEDIR     = source
BUILDDIR      = build

# Internal variables
ALLSPHINXOPTS = $(SPHINXOPTS) $(SOURCEDIR)

# Put it first so that "make" without argument is like "make help".
help:
	@echo "Please use \`make html' to generate standalone HTML files"

.PHONY: help clean html Makefile

clean:
	-rm -rf $(BUILDDIR)

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)
	-rm -f $(BUILDDIR)/../../scripts/_*py
	-rm -f $(BUILDDIR)/../../scripts/_*pyc
	-rm -rf $(BUILDDIR)/../../scripts/__pycache__

## ppft 1.7.6.7+dfsg

=== debian/changelog ===
ppft (1.7.6.7+dfsg-1) unstable; urgency=medium

  * Initial upload (Closes: #1042439)

 -- Julian Gilbey <jdg@debian.org>  Fri, 28 Jul 2023 18:26:31 +0100

=== debian/control ===
Source: ppft
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               help2man,
               pybuild-plugin-pyproject,
               python3-all,
               python3-dill,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-notfound-page <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>
Standards-Version: 4.6.2
Homepage: https://github.com/uqfoundation/ppft
Vcs-Git: https://salsa.debian.org/python-team/packages/ppft.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/ppft
Rules-Requires-Root: no
Description: Distributed and parallel Python
 ppft is a friendly fork of Parallel Python.  It provides:
 .
  * parallel execution of Python code on SMP and clusters
  * easy-to-understand job-based parallelization
  * automatic detection of the number of effective processors
  * dynamic processor allocation (at runtime)
  * low overhead for jobs with the same function (through transparent caching)
  * dynamic load balancing (jobs are distributed at runtime)
  * fault-tolerance (if a node fails, tasks are rescheduled on the others)
  * auto-discovery of computational resources
  * dynamic allocation of computational resources
  * SHA based authentication for network connections
  * enhanced serialization, using dill.source
 .
 ppft is part of pathos, a Python framework for heterogeneous computing.

Package: python3-ppft
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python-ppft-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Recommends: python3-ppft
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package contains the ppft documentation in HTML format.
Build-Profiles: <!nodoc>

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,\
 dversionmangle=s/\+dfsg(\.?\d+)?$//,\
 uversionmangle=s/(rc|a|b|c)/~$1/,\
 filenamemangle=s%(?:.*?)?ppft-@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2% \
  https://github.com/uqfoundation/ppft/tags \
  (?:.*?/)?ppft-@ANY_VERSION@@ARCHIVE_EXT@

## ppft 1.7.6.8+dfsg

=== debian/changelog ===
ppft (1.7.6.8+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/watch: Fix GitHub monitoring script.
  * debian/control: Bump version requirement of python3-dill.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Jan 2024 19:14:25 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                help2man,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-dill,
+               python3-dill (>= 0.3.8~),
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-notfound-page <!nodoc>,

## ppft 1.7.6.9+dfsg

=== debian/changelog ===
ppft (1.7.6.9+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Port to Sphinx 8.0 (closes: #1090116).

 -- Colin Watson <cjwatson@debian.org>  Tue, 24 Dec 2024 12:03:51 +0000

ppft (1.7.6.9+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Update versioned dependency on python3-dill.

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Nov 2024 00:34:46 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                help2man,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-dill (>= 0.3.8~),
+               python3-dill (>= 0.3.9),
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-notfound-page <!nodoc>,

## ppft 1.7.7%2Bdfsg

=== debian/changelog ===
ppft (1.7.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 31 Aug 2025 15:53:46 +0100

## ppft 1.7.7+dfsg

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                help2man,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-dill (>= 0.3.9),
+               python3-dill (>= 0.4.0),
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-notfound-page <!nodoc>,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ppft

export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS={interpreter} -m ppft.tests

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_install:
	rm -rf debian/python3-ppft/usr/lib/python3/dist-packages/ppft/tests

execute_before_dh_installman:
	pybuilddir=.pybuild/$$(/bin/ls -1 .pybuild | head -n 1); PYTHONPATH=$$pybuilddir/build help2man -N -n 'PPFT (Parallel Python) Network Server' $$pybuilddir/scripts/ppserver > debian/ppserver.1.tmp
	perl -i -pe 's/^\.TH PARALLEL/.TH PPSERVER/; s/^Parallel \\-/ppserver \\-/' debian/ppserver.1.tmp
	perl -i -pe 's/^\\fB\\-/\n\\fB\\-/;' debian/ppserver.1.tmp
	# for some reason, the content is duplicated
	sed -ne '1,/support forums/p' debian/ppserver.1.tmp > debian/ppserver.1
	rm -f debian/ppserver.1.tmp

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs SPHINXBUILD=sphinx-build html

execute_after_dh_auto_clean:
	$(MAKE) -C docs SPHINXBUILD=sphinx-build clean

override_dh_installdocs:
	dh_installdocs -ppython-ppft-doc --doc-main-package=python3-ppft
	dh_installdocs --remaining-packages
	mv debian/python-ppft-doc/usr/share/doc/python3-ppft/build debian/python-ppft-doc/usr/share/doc/python3-ppft/html
endif

=== debian/tests/control ===
Tests: pytest
Depends: python3-all,
         python3-ppft

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg(\.?\d+)?$//,uversionmangle=s/(rc|a|b|c)/~$1/,filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/uqfoundation/ppft/tags?per_page=100 \
 https://api.github.com/repos/uqfoundation/ppft/tarball/refs/tags/@ANY_VERSION@
